class afs (
  $cachesize    = $afs::params::cachesize,
  $memcachesize = $afs::params::memcachesize,
  $options      = $afs::params::options,
  $runserver    = $afs::params::runserver,
  $thiscell     = $afs::params::thiscell,
  $is_upstream  = $afs::params::is_upstream,
) inherits afs::params {

  class {'afs::install':
      is_upstream  => $is_upstream,
  }

  class {'afs::config':
      cachesize    => $cachesize,
      memcachesize => $memcachesize,
      options      => $options,
      runserver    => $runserver,
      thiscell     => $thiscell,
      is_upstream  => $is_upstream,
  }

  class {'afs::service':
      is_upstream  => $is_upstream,
  }
  
  class {'afs::pam':}
  class {'afs::firewall':
        require => Class['afs::service']
        }
}
