class afs::install(
  $is_upstream = $afs::params::is_upstream,
) inherits afs::params {

  $afs_kmod_pkg = $is_upstream ? {
    true     => ['kmod-openafs'],
    default => ["kernel-module-openafs-${::kernelrelease}", 'yum-kernel-module']
  }

  $afspkgs = concat(['openafs', 'openafs-client', 'openafs-krb5'], $afs_kmod_pkg)

  package {$afspkgs:
    ensure    => present,
  }

  package {'pam_krb5':
    ensure    => present,
  }

  package{'cern-wrappers':
    ensure    => present
  }
 
  # Ensure firewalld is present.
  package{'firewalld':
    ensure    => present
  }

}

