class afs::params {
  
  $cachesize = hiera('afs_cachesize', '524288')
  $memcachesize = hiera('afs_memcachesize', '262144')
  $default_options = {
    'chunksize' =>   '18',
    'daemons'   =>   '3',
    'dcache'    =>   '8000',
    'fakestat'  =>   true,
    'files'     =>   '10000',
    'nosettime' =>   true,
    'stat'      =>   '10000',
    'volumes'   =>   '196',
    'memcache'  =>   false,
    'dynroot'   =>   false,
    'afsdb'     =>   true,
  }
  $options = hiera_hash('afs_options',{})
  $runserver = hiera('afs_runserver','off')
  $thiscell = hiera('afs_thiscell','cern.ch')

  if ($::operatingsystemrelease >= '7.0.0' or    # i.e any-tagged on CC7, CC8, non-CERN tagged elsewhere
     (($::openafsversion != undef) and
      ($::openafsversion != 'package openafs is not installed') and
      ($::openafsversion !~ /cern/))) {
    $is_upstream = true
  } else {
    $is_upstream = false  # i.e. SLC4/5/6, but only with 'cern' in the release
  }
 
}
